Subject: [Detnet] DetNet Use Cases preso preview

From: "Grossman, Ethan A." <[email-masked]>
Date: Mon, 4 Apr 2016 01:28:23 +0000

Hi Folks,

To provide a little advance time for thought, here is what I am planning for the DetNet Use Cases time slot on Tuesday.

I went through the Use Cases draft 09 and singled out any statements for which I couldn't see a direct correspondence to the Problem Statement and/or Architecture drafts, and I enumerated them so that we could identify sooner rather than later any meaningful gaps between the expectations of the use case authors and the intentions of the architects.

Admittedly there are twenty-something statements in my list (reproduced below from my PPT preso) so we probably won't get through all of them, however presumably most of them are either "obvious" or would be obvious given a better understanding of the significance of the statements, which I confess I don't necessarily always have.  So I expect we can "hand wave" through a bunch of them as long as the room/list is content with the collective understanding of the statement and its implications.

But even if we flush out only a couple of real items from the bunch I think it will have been a worthwhile exercise. So what I plan to do is go through the statements "in order" (which is the order they appear in the draft) but first I'll ask if anyone has a particular one(s) that they believe to be "significant" such that we should make sure we get to it (i.e. start with it). And of course if you want to respond to this thread that would be entirely appropriate.

Best,
Ethan.

P.S. I also need to apologize in advance for not proofreading my PPT slides as well as I should have, as I have since noted there are some typos and omissions (such as I accidentally left Janos Farkas off the Authors list on the first slide - sorry bro!)

-------------------------------------------
The Open Internet - (not in scope)
 -->But does future planning for this affect DetNet?
Providing Synchronized Time (not in scope)
Plug-And-Play (case of new device, case of replace e.g. failed device)
Stream Start-up (or re-start) Time
Link Authentication/Encryption (Pro Audio case of specific protocols)
Link Aggregation
Latency matching - single- or bi-directional
Traffic Segregation (multicast to many devices)

DetNet consideration of 6TiSCH expectations:
      path set/get protocol, must be direct from/to PCE (vs along path)
      Push neighbor info to PCE over CoAP?
            CoAP: Constrained Application Protocol [RFC 7252]
      Multiple metrics same as RPL Ops (RFC6551)
      One-Shot vs Update of paths (e.g. at runtime due to malfunctioning device)
      Read energy data from devices (app layer?)
            Extensible protocol - vendor specific?
      ARQ protocol (auto retry, specific to wireless)

DetNet consistency with 802 TSN
      Hard or soft requirement?
Delay accuracy +/-8ns (jitter?) --> Jouni says "yes, jitter" so that's clear now, but still a small value, which caught my eye.
Transport contrib to RF error +/- 2PPB (2ns)
Security must allow for long leases
Data plane xport std "unified among xhauls"
      Is there any special meaning to this for DetNet? -->
      (Jouni says "This boils down to traffic and resource isolation i.e., different flows with diverse "DetNet" requirements have to coexists in the same network and traverse the same nodes without interfering each other." --> So AFAICT there is no disconnect there, i.e. this is supported by the proposed architecture.
-------------------------------------------